Subject: q and j parameters for DH

From: "Maxim Masiutin" <[email-masked]>
Date: Mon, 16 Feb 2009 00:03:46 +0200

Hello,

  I'm using Diffie-Hellman implementation from OpenSSL 0.9.8j and it only generates p and g parameters, without setting q and j.

  RFC 2459 defines q as a mandatory parameter of DomainParameters.

  I would be greatful for the help of how can I update the DH_generate_parameters_ex in crypto\dh\dh_gen.c(or any other suitable place), or if the qualified person will update OpenSSL to fully support q in DomainParameters and I will get the new OpenSSL, or any other advise of how can I implement DomainParameters with OpenSSL. 

-- 
Best regards,
Maxim Masiutin                         
Ritlabs SRL
http://www.ritlabs.com/